## libreoffice 7.0.6

=== debian/changelog ===
libreoffice (1:7.0.6-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1928642)
  * Update yaru icon style "2021-03-14"
  * apparmor: Fix signing documents with enforced apparmor
  * apparmor: Allow one more digit in temp files

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 18 May 2021 11:25:50 +0200

libreoffice (1:7.0.5-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1913353)

  [ Rico Tzschichholz ]
  * Update yaru icon style "2021-01-31"
  * Move libreoffice-sdbc-hsqldb to Recommends (LP: #1916786)
  * Fix Calc crash in ScSelectionTransferObj (LP: #1897784)
  * Drop fix-bluez-external.diff and unowinreg-static-libgcc.diff,
    applied upstream

  [ Heather Ellsworth ]
  * Add timeout to uicheck-sw test to allow it to handle timeouts under
    load better (LP: #1785262)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 15 Mar 2021 19:01:12 +0100

libreoffice (1:7.0.3-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1904478)
  * Update yaru icon style "2020-10-25"
  * Build against liborcus 0.15

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 02 Nov 2020 09:44:58 +0100

=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant (>= 1.7.0) [!hppa !mips64 !s390 !sparc] <!nojava>,
               ant-optional (>= 1.7.0) [!hppa !mips64 !s390 !sparc] <!nojava>,
               apparmor <!nocheck>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang (>= 1:11) [armel],
               clang (>= 1:5.0.2) [alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mipsel mips64el ppc64el],
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !s390 !sparc !hurd-i386] <!nojava>,
               default-libmysqlclient-dev,
               dh-apparmor,
               dh-python <!nopython>,
               dpkg-dev (>= 1.18.2~),
               firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc],
               firebird3.0-server-core [!hppa !mips64 !s390 !sparc] <!nocheck>,
               flex (>= 2.3.35),
               fontconfig [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               fontforge-nox | fontforge,
               fonts-crosextra-carlito [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               fonts-dejavu [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               fonts-liberation2 [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               g++ (>= 4:7),
               g++-9 [armhf],
               gcc (>= 4:7),
               gcc-9 [armhf],
               gdb [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               ghostscript [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               gobject-introspection (>= 1.32.0),
               gperf (>= 3.1),
               gpg <!nocheck>,
               gpg-agent <!nocheck>,
               gpgconf <!nocheck>,
               hunspell-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               hyphen-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               imagemagick [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               java-common (>= 0.61) <!nojava>,
               javahelper (>= 0.37~) <!nojava>,
               junit4 (>= 4.8.2-2) [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!hppa !mips64 !s390 !sparc] <!nojava>,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.71),
               libboost-dev (>= 1.71),
               libboost-filesystem-dev (>= 1.71),
               libboost-iostreams-dev (>= 1.71),
               libboost-locale-dev (>= 1.71),
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-4.1),
               libcmis-dev (<< 0.6~),
               libcmis-dev (>= 0.5.2~),
               libcommons-logging-java [!hppa !mips64 !s390 !sparc] <!nojava>,
               libcppunit-dev (>= 1.14) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev (>= 0.60),
               libdconf-dev (>= 0.15.2),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libe-book-dev (>= 0.1.2) <!nocheck>,
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev (>= 1.2),
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libetonyek-dev (>= 0.1.8) <!nocheck>,
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libfontconfig1-dev,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.2.0),
               libgirepository1.0-dev (>= 1.32),
               libgl-dev,
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-dev (>= 2.4),
               libglm-dev (>= 0.9.9~a2),
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.18.0),
               libharfbuzz-dev (>= 0.9.42),
               libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc] <!nojava>,
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmdds-dev (<< 1.8~),
               libmdds-dev (>= 1.5),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.1),
               libmwaw-dev (>= 0.3.15) <!nocheck>,
               libmythes-dev (>= 2:1.2),
               libneon27-gnutls-dev,
               libnspr4-dev,
               libnss3-dev (>= 3.12.3),
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               liborcus-dev (<< 0.16~),
               liborcus-dev (>= 0.15),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.12.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt5x11extras5-dev (>= 5.6),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev (>= 1:3.4.0),
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libwps-dev (>= 0.4.9) <!nocheck>,
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev (>= 2.8),
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.28),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               locales [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               lp-solve (>= 5.5.0.13-5+b1),
               maven-repo-helper,
               pkg-config,
               pstoedit [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el] <!nocheck>,
               python3,
               python3-dev (>= 3.3) <!nopython>,
               python3-distutils <!nopython>,
               python3-lxml <!nocheck !nopython>,
               qt5-qmake (>= 5.6),
               qtbase5-dev (>= 5.6),
               qtbase5-dev-tools (>= 5.6),
               ucpp,
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.8.4) <!nodoc>,
                     gettext,
                     graphviz <!nodoc>,
                     libbsh-java <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 fonts-opensymbol <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1
Standards-Version: 4.0.1
Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-groovy-7.0
Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
Bugs: mailto:libreoffice@lists.launchpad.net
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
Section: metapackages
Depends: libreoffice-base [!hppa !mips64 !s390 !sparc],
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin [!hppa !mips64 !s390 !sparc],
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-liberation,
            fonts-liberation2,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-gnome | libreoffice-plasma,
            libreoffice-nlpsolver,
            libreoffice-report-builder [!hppa !mips64 !s390 !sparc],
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            ${java-common-depends}
Suggests: cups-bsd,
          firefox-esr | thunderbird | firefox,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart2-libreoffice | openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${libsane-suggests},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2015 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=7.0
OOVER:=7.0
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

#SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')
#FIXME
SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\../\1/p' | cut -d" " -f1)
ifeq "$(shell echo $(SYSTEM_GCC_VERSION) | cut -d. -f1)" "0" # gcc 10+ (0.0, 0.1, 0.2 etc.)
SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1)
endif

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# bootstraping this from the source tree is breaking get-orig-source
#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
lo_sources_ver=7.0.6.2
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-7-0-6
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

ifeq "$(USE_GIT_TARBALLS)" "y"
YARU_GIT_TAG=2021-03-14
endif

#########
# Default package configuration
#
OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex (>= 2.3.35), \
    fontforge-nox | fontforge, \
    gperf (>= 3.1),\
    libc0.1 (>= 2.10.2-7) [kfreebsd-any],\
    libfontconfig1-dev,\
    libfreetype6-dev (>= 2.2.0),\
    pkg-config,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  ENABLE_JAVA=y
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    include /usr/share/java/java_defaults.mk
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=7
    endif
  endif
else
  ENABLE_JAVA=n
endif
JAVAHELPER_MIN_VERSION= (>= 0.37~)
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
  BOOST_MINVER= (>= 1.66)
  ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) gt 10 && echo true)" "true"
	BOOST_MINVER= (>= 1.71)
  endif
endif
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_QRCODEGEN=y
SYSTEM_STUFF += qrcodegen
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
ENABLE_QT5=n
QT5_MINVER= (>= 5.6)
endif
ifeq "$(BUILD_PLASMA)" "y"
  ENABLE_KF5=y
  # KF5 depends on Qt5
  ifeq "$(ENABLE_KF5)" "y"
    ENABLE_QT5=y
    KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
  endif
endif
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=y
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec

ifeq ($(filter noinsttest,$(DEB_BUILD_PROFILES)),)
 # this changes the packages built/contents of packages (-subsequentcheckbase)
 # This is not exactly allowed in https://wiki.debian.org/BuildProfileSpec#Registered_profile_names
 # but it doesn't have real practical difference, does it?
  ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
    BUILD_TEST_PACKAGES=y
  endif
endif

ifneq ($(MAKECMDGOALS),build-indep)
ENABLE_SYMBOLS=y
SMALL_SYMBOLS=y
endif
ifeq ($(MAKECMDGOALS),build-indep)
# no need to do a double build...
BUILD_NOGUI_PACKAGES=n
endif

ifeq "$(ENABLE_JAVA)" "y"
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
ENABLE_COINMP=y
SYSTEM_STUFF += coinmp
USE_DBUS=y
ifeq "$(USE_DBUS)" "y"
  ifeq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
    ENABLE_BLUETOOTH=n
  else
    ENABLE_BLUETOOTH=y

=== debian/tests/control ===
Tests: uno
Depends: @builddeps@, ure
Restrictions: allow-stderr, rw-build-tree

#Tests: smoketest
#Architecture: amd64 i386 arm64 armhf s390x ppc64 ppc64el
#Depends: @builddeps@, libreoffice-dev, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress-nogui, libreoffice-math, libreoffice-base-nogui, libreoffice-sdbc-hsqldb, libreoffice-sdbc-firebird, libreoffice-smoketest-data
#Restrictions: allow-stderr, rw-build-tree, skippable

Tests: pyuno-import, uno-import
Depends: python3, python3-uno
Restrictions: superficial

Tests: access2base-import
Depends: python3, python3-access2base
Restrictions: superficial

# this is already done by smoketest upstream, but fails when doing it against
# the installed LO. works standalone, though, so it's patched out of the
# smoketest. Do it here separately.
Tests: test-extension
Architecture: amd64 i386 arm64 armhf s390x ppc64 ppc64el
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, superficial

Tests: test-extension-shared
Architecture: amd64 i386 arm64 armhf s390x ppc64 ppc64el
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, needs-root, superficial

# in the following some tests need RTL and CJK language packs installed to pass.
# he is the example for RTL, zh-tw for CJK (and zh-tw was choosen to also test xx-YY locales)

Tests: uicheck-cui
Depends: @builddeps@, libreoffice-core, libreoffice-impress, libreoffice-writer, python3-uno
Restrictions: allow-stderr

Tests: uicheck-sc
Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el s390x sparc64 powerpcspe kfreebsd-amd64 kfreebsd-i386
Depends: @builddeps@, libreoffice-core, libreoffice-calc, libreoffice-draw, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw, libreoffice-java-common, libreoffice-writer
Restrictions: allow-stderr

Tests: uicheck-sd
Depends: @builddeps@, libreoffice-core, libreoffice-draw, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-sw
Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el s390x sparc64 powerpcspe kfreebsd-amd64 kfreebsd-i386
Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw, libreoffice-librelogo, libreoffice-java-common
Restrictions: allow-stderr, skippable

Tests: uicheck-uitest
Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw
Restrictions: allow-stderr

Tests: uicheck-writerperfect
Depends: @builddeps@, libreoffice-core, libreoffice-writer, python3-uno
Restrictions: allow-stderr

Tests: junit

## libreoffice 7.1.2~rc2

=== tools/perf-canvaskit-puppeteer/Makefile ===
# This shows an example invocation presuming the user has built canvaskit locally.
frames_load_lego_with_local:
	node perf-canvaskit-with-puppeteer.js --canvaskit_js ../../out/canvaskit_wasm/canvaskit.js \
	--canvaskit_wasm ../../out/canvaskit_wasm/canvaskit.wasm --use_gpu \
	--input_lottie ../../modules/canvaskit/perf/assets/lego_loader.json \
	--bench_html skottie-frames.html

test_path_transform_without_snap:
	node perf-canvaskit-with-puppeteer.js --canvaskit_js --canvaskit_js ../../out/canvaskit_wasm/canvaskit.js \
	--canvaskit_wasm ../../out/canvaskit_wasm/canvaskit.wasm --use_gpu \
	--assets path_translate_assets \
	--bench_html path-transform.html \
	--query_params translate opacity

test_path_transform_with_snap:
	node perf-canvaskit-with-puppeteer.js --canvaskit_js --canvaskit_js ../../out/canvaskit_wasm/canvaskit.js \
	--canvaskit_wasm ../../out/canvaskit_wasm/canvaskit.wasm --use_gpu \
	--assets path_translate_assets \
	--bench_html path-transform.html \
	--query_params translate opacity snap

skp_with_local:
	node perf-canvaskit-with-puppeteer.js --canvaskit_js ../../out/canvaskit_wasm/canvaskit.js \
	--canvaskit_wasm ../../out/canvaskit_wasm/canvaskit.wasm --use_gpu \
	--input_skp ${HOME}/skps/desk_nytimes.skp \
	--bench_html render-skp.html

# runs all the tests in canvas_perf.js
perf_js:
	node perf-canvaskit-with-puppeteer.js --canvaskit_js ../../out/canvaskit_wasm/canvaskit.js \
	--canvaskit_wasm ../../out/canvaskit_wasm/canvaskit.wasm --use_gpu \
	--assets canvas_perf_assets \
	--bench_html canvas_perf.html \
	--timeout 600 # seconds

skps_release_and_simd:
	./perf_all_skps.sh --release --simd --summary

=== debian/changelog ===
libreoffice (1:7.1.2~rc2-0ubuntu2) hirsute; urgency=medium

  [ Heather Ellsworth ]
  * Re-enable startcenter and math application icons. (LP: #1696250)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 09 Apr 2021 16:05:03 +0200

libreoffice (1:7.1.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/filter-out-lto-flags.diff: as name says, filter out LTO
    flags for clang-built skia, thanks Matthias Klose
  * debian/rules, debian/clang-wrapper: add clang wrapper for above, thanks
    Matthias Klose
  (closes: #985867)

  * debian/control.ure.in:
    - stop recommending liblibreoffice-java and a JDK in ure; ure-java
      is supposed to do it does it already

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Mar 2021 20:56:22 +0100

libreoffice (1:7.1.2~rc2-0ubuntu1) hirsute; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release candidate
  * Bump yaru source to "2021-03-14" and add yaru-mate styles
  * Fix signing documents with enforced apparmor (LP: #1886092)
  * Disable lto due to insufficient disc space on amd64 builder

  [ Matthias Klose ]
  * Fix lto build, avoiding to pass lto flags to the skia build.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 27 Mar 2021 16:01:35 +0100

libreoffice (1:7.1.2~rc1-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate

  * Disable JunitTest_dbaccess_complex on armhf for junit autopkgtests
  * Demote liblibreoffice-java from Recommends to Suggests of ure
    (LP: #1918308)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 12 Mar 2021 10:31:16 +0100

libreoffice (1:7.1.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/tests/control.in: make uicheck-sw depend on -draw, the AutoRedact
    dialog test apparently needs it (hangs otherwise)
  * debian/rules:
    - build with -Wno-psabi on armel/armhf to suppress long obsolete
      warnings

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Mar 2021 20:00:01 +0100

libreoffice (1:7.1.1~rc2-2ubuntu1) hirsute; urgency=medium

  * Fix autopkgtest failures

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 01 Mar 2021 11:17:32 +0100

libreoffice (1:7.1.1~rc2-2) experimental; urgency=medium

  * merge from Ubuntu:
    - Make test patches apply again

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Feb 2021 17:44:31 +0100

libreoffice (1:7.1.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/no-openssl.diff: remove ...
  * debian/rules: ... and use --disable-openssl, thanks Rico 
  * debian/rules, debian/control.ure.in: stop moving jvmaccess and jvmfwk to
    ure-java; libmerged depends on them so they probably should stay in ure,
    thanks Rico

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Feb 2021 16:34:31 +0100

libreoffice (1:7.1.1~rc2-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 25 Feb 2021 07:46:19 +0100

libreoffice (1:7.1.1~rc1-0ubuntu1) hirsute; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release candidate
  * Update yaru icon style "2021-01-31"

  [ Heather Ellsworth ]
  * Add timeout to uicheck-sw test to allow it to handle timeouts under
    load better (LP: #1785262)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 22 Feb 2021 09:40:46 +0100

libreoffice (1:7.1.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/pdfium-use-system-libopenjpeg.diff: as name says
  * debian/patches/apparmor-updates.diff: allow one more digit in temp
    files (closes: #982274)
  * debian/rules:
    - use java8_architectures instead of java6_architectures since 8 is LOs
      runtime baseline (no changes in architecture lists)

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2021 07:20:44 +0100

libreoffice (1:7.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jan 2021 20:39:55 +0100

libreoffice (1:7.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - don't rm LICENSE.html, it is used by
      Help -> License Information -> Show License
  * debian/control.mediawiki.in: remove Homepage: (closes: #978713) 
  * debian/*.mime: stop quoting %s (closes: #950319)
  * debian/test/control.in: make uicheck-sc depend on libreoffice-writer, too
    (the openDialogs/uno.Show:License Dialog test opens a new "Writer/Web"
    document...)

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Jan 2021 21:56:12 +0100

libreoffice (1:7.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/pdfium-m68k.diff: fix pdfium build on m68k

  * debian/rules:
    - set MYSQL_FLAVOUR=mariadb (as it's used anyway, and upstreams internal
      copy is mariadb-connector-c anyway) and build-depend on libmariadb-dev
      instead of libmariadbclient-dev-compat (closes: #975481)
    - build-depend on clang (>= 1:11) on armel
    - fix nocheck -b builds...
    - use nowindows build profile for (not) building unowinreg
  * debian/rules, debian/control*in:
    - honour noinsttest build profile for (not) building
      -subsequentcheckbase/-smoketest-test-data
  * debian/rules, debian/control*in:
    - move unowinreg.dll into /usr/lib/i686-w64-mingw32 (the mingw g++
      compiler installs its .dlls into /usr/lib/gcc/i686-w64-mingw32)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Dec 2020 23:06:08 +0100

libreoffice (1:7.1.0~beta1-1) experimental; urgency=medium

  * New upstream beta release
    - adds pdf to DRAWDOCS for bash-completion (closes: #973682)

  * debian/rules:
    - remove obsolete SHLIBS_OVERRIDE += -Xunordf (closes: #966087, #968546)
    - enable l10n again

  * debian/tests/control: move ...
  * debian/tests/control.in: ... here and mark Java-using tests with
    Architecture:
  * debian/tests/odk-build-examples*: split non-Java and Java tests and mark
    Java test with Architecture:


=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                default-libmysqlclient-dev,
                dh-apparmor,
                dh-python <!nopython>,
-               dpkg-dev (>= 1.18.2~),
+               dpkg-dev (>= 1.20.1),
                firebird-dev (>= 3.0.0.32483.ds4-4) [!hppa !mips64 !s390 !sparc],
                firebird3.0-server-core [!hppa !mips64 !s390 !sparc] <!nocheck>,
                flex (>= 2.3.35),
@@ -59,7 +59,7 @@
                libcairo2-dev,
                libcdr-dev (<< 0.2~),
                libcdr-dev (>= 0.1),
-               libclucene-dev (>= 2.3.3.4-4.1),
+               libclucene-dev (>= 2.3.3.4+dfsg-1ubuntu2~),
                libcmis-dev (<< 0.6~),
                libcmis-dev (>= 0.5.2~),
                libcommons-logging-java [!hppa !mips64 !s390 !sparc] <!nojava>,
@@ -96,7 +96,7 @@
                libgraphite2-dev (>= 0.9.3),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgtk-3-dev (>= 3.18.0),
+               libgtk-3-dev (>= 3.20.0),
                libharfbuzz-dev (>= 0.9.42),
                libhsqldb1.8.0-java (>> 1.8.0.10) [!hppa !mips64 !s390 !sparc] <!nojava>,
                libhunspell-dev (>= 1.1.5-2),
@@ -119,15 +119,16 @@
                libmspub-dev (>= 0.1),
                libmwaw-dev (<< 0.4~),
                libmwaw-dev (>= 0.3.1),
-               libmwaw-dev (>= 0.3.15) <!nocheck>,
+               libmwaw-dev (>= 0.3.17) <!nocheck>,
                libmythes-dev (>= 2:1.2),
-               libneon27-gnutls-dev,
+               libneon27-gnutls-dev (>= 0.31.1),
                libnspr4-dev,
                libnss3-dev (>= 3.12.3),
                libodfgen-dev (<< 0.2~),
                libodfgen-dev (>= 0.1),
-               liborcus-dev (<< 0.16~),
-               liborcus-dev (>= 0.15),
+               libopenjp2-7-dev,
+               liborcus-dev (<< 0.17~),
+               liborcus-dev (>= 0.16),
                libpagemaker-dev,
                libpagemaker-dev (<< 0.1~),
                libpng-dev,
@@ -150,7 +151,7 @@
                libwpg-dev (>= 0.3),
                libwps-dev (<< 0.5~),
                libwps-dev (>= 0.4),
-               libwps-dev (>= 0.4.9) <!nocheck>,
+               libwps-dev (>= 0.4.12) <!nocheck>,
                libx11-dev,
                libx11-xcb-dev,
                libxaw7-dev,
@@ -198,7 +199,7 @@
                  nvidia-glx-legacy-dev,
                  nvidia-libopencl1
 Standards-Version: 4.0.1
-Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-groovy-7.0
+Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-hirsute-7.1
 Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
 Bugs: mailto:libreoffice@lists.launchpad.net
 Homepage: http://www.libreoffice.org
@@ -280,4 +281,3 @@
  packages:
   * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
     for use with LibreOffice
-  * libreoffice-l10n-*: UI interface translation

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
 BINARY_VERSION=$(DEB_VERSION)
 #HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
-HELP_L10N_VIRTUAL_VERSION:=7.0
-OOVER:=7.0
+HELP_L10N_VIRTUAL_VERSION:=7.1
+OOVER:=7.1
 NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
 
 ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
@@ -72,11 +72,11 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=7.0.6.2
+lo_sources_ver=7.1.2.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-7-0-6
+GIT_BRANCH=libreoffice-7-1-2
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)

=== debian/tests/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 Tests: uicheck-sw
 Architecture: alpha amd64 arm64 armel armhf i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el s390x sparc64 powerpcspe kfreebsd-amd64 kfreebsd-i386
-Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw, libreoffice-librelogo, libreoffice-java-common
+Depends: @builddeps@, libreoffice-core, libreoffice-writer, libreoffice-draw, libreoffice-calc, libreoffice-base, python3-uno, libreoffice-l10n-he, libreoffice-l10n-zh-tw, libreoffice-librelogo, libreoffice-java-common
 Restrictions: allow-stderr, skippable
 
 Tests: uicheck-uitest
